<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_4e804c3c" . "659ffa927" . "094580817" . "42376b" => base64_decode("Q3JlYXRpbmcgc2NoZW" . "1h"), "_edc5e56d0d74937af4aa39a12b4e" . "62f4" => base64_decode("MDA" . "uMD" . "A="), "_09fd03941a048e1f28e" . "823189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxs" . "eSBjcmVhdGVkLiBDdXJyZW50" . "IHZlcnNpb24gaXMgJw=="), "_bc2b2cbee209b1cad08" . "73479a8fd921a" => base64_decode("L3NjaGVtYS9zY2" . "hlbWEucGhw"), "_3c4298ad118f03549387eda8af85" . "9750" => base64_decode("QXBwbGljYXR" . "pb24gYWxyZW" . "FkeSBpbnN0Y" . "WxsZWQ="), "_98587fc1" . "88f350370" . "f03d54707" . "c587e1" => base64_decode("aXNfcmVh" . "ZGFibGU="), "_0a441bddac7bebad7a9858a0df" . "adcd90" => base64_decode("MD" . "Eu" . "MD" . "E="), "_c1bf7b7ebd1ab8431a8561d762" . "db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc" . "3RhbGxlZC4gQ2Fubm90IHVwZGF0ZQ" . "=="), "_afa8b786a0282957bc5e6c82eb5eeab" . "a" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZ" . "GFibGUsIHNraXBwaW5nIHNjaGVtYSBjcmVhdGlvbg=="), "_e608e5b5c4" . "c34a67ba97e" . "f84c1e16199" => base64_decode("Jw=" . "="), "_98080012c02491a0c0cf9af5c977f" . "3c7" => base64_decode("U2NoZW1h" . "IGZpbGU6" . "IA=="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3c4298ad118" . "f03549387eda" . "8af859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c1bf7b7ebd1ab8431a8561" . "d762db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_bc2b2cbee209b1cad08" . "73479a8fd921a"];
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_98587fc188f350370f03d5" . "4707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_98080012" . "c02491a0c" . "0cf9af5c9" . "77f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4e804c3c659ffa927094" . "58081742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0a441bdd" . "ac7bebad7" . "a9858a0df" . "adcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_09fd03941a0" . "48e1f28e8231" . "89007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e608e5b5c4c34a67ba97ef8" . "4c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_afa8b786a0282" . "957bc5e6c82eb5" . "eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_edc5e56d0d74937af4aa39" . "a12b4e62f4"]);
        }
    }
}